> ## Documentation Index
> Fetch the complete documentation index at: https://docs.withclasp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Beneficiary Allocations



## OpenAPI

````yaml get /beneficiary_allocations
openapi: 3.0.3
info:
  title: ''
  version: 0.0.0
servers: []
security: []
paths:
  /beneficiary_allocations:
    get:
      tags:
        - beneficiary_allocations
      operationId: beneficiary_allocations_list
      parameters:
        - name: cursor
          required: false
          in: query
          description: The pagination cursor value.
          schema:
            type: string
        - in: query
          name: member
          schema:
            type: string
        - name: page_size
          required: false
          in: query
          description: Number of results to return per page.
          schema:
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedBeneficiaryAllocationList'
          description: ''
components:
  schemas:
    PaginatedBeneficiaryAllocationList:
      type: object
      properties:
        next:
          type: string
          nullable: true
        previous:
          type: string
          nullable: true
        results:
          type: array
          items:
            $ref: '#/components/schemas/BeneficiaryAllocation'
    BeneficiaryAllocation:
      type: object
      properties:
        id:
          type: string
          readOnly: true
          pattern: ^[-a-zA-Z0-9_]+$
        member:
          type: string
        allocation_type:
          $ref: '#/components/schemas/AllocationTypeEnum'
        splits:
          type: array
          items:
            $ref: '#/components/schemas/BeneficiaryAllocationSplit'
      required:
        - allocation_type
        - id
        - member
        - splits
    AllocationTypeEnum:
      enum:
        - primary
        - contingent
      type: string
    BeneficiaryAllocationSplit:
      type: object
      properties:
        beneficiary:
          type: string
        percentage:
          type: integer
          maximum: 100
          minimum: 0
      required:
        - beneficiary
        - percentage

````